%define	name	zcip
%define	version	4
%define release 14

Summary:	Ad-hoc link-local IP autoconfiguration
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		zcip-4-alias.patch
Patch1:		zcip-4-gcc3.patch
Patch2:     zcip-4-help.patch 
Patch3:     zcip-4-format_string.patch
License:	MIT
Group:		System/Configuration/Networking
URL:		http://zeroconf.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}buildroot
BuildRequires: net1.0-devel
BuildRequires: libpcap-devel

%description
This is an implementation of the ad-hoc link-local IP autoconfiguration
algorithm described in the IETF Draft "Dynamic Configuration of IPv4
link-local addresses".

%prep
%setup -q
%patch0 -p1 -b .alias
%patch1 -p1 -b .gcc3
%patch2 -p0
%patch3 -p0

%build
%make CFLAGS="%optflags -DSTORAGE_DIR=\\\"%{_localstatedir}/lib/zcip\\\"" LDFLAGS="%ldflags"

%install
rm -rf $RPM_BUILD_ROOT
install -m755 zcip -D %{buildroot}/sbin/zcip
install -m644 zcip.8 -D %{buildroot}%{_mandir}/man8/zcip.8
mkdir -p %{buildroot}%{_localstatedir}/lib/zcip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README draft-ietf-zeroconf-ipv4-linklocal-07.txt Changelog Copyright TODO
/sbin/*
%{_mandir}/man8/*
%{_localstatedir}/lib/zcip





%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4-14
+ Revision: 3ed26ce
- MassBuild#440: Increase release tag


